## Apache Zeta Components Manual :: Docs For Class ezcTreeVisitorXHTML

### Tree::ezcTreeVisitorXHTML

### Class ezcTreeVisitorXHTML

An implementation of the ezcTreeVisitor interface that generates an XHTML representatation of a tree structure.

1. <?php
2. $options=new ezcTreeVisitorXHTMLOptions ;
3. $options->xmlId='menu_tree';
4. $visitor=new ezcTreeVisitorXHTML ($options);
5. $tree->accept($visitor);
6. echo (string)$visitor;// print the plot
7. ?>

Shows (something like):

Source for this file: /Tree/src/visitors/xhtml.php

### Implements interfaces:

- ezcTreeVisitor

Version: | //autogentag//

### Member Variables

protected array(string=>array(string)) | `$edges = array()` Holds all the edges of the graph.
public ezcTreeVisitorXHTMLOptions | `$options` Holds the options for this class
protected string | `$root = null` Holds the root ID.

### Method Summary

public ezcTreeVisitorXHTML | `__construct( [ $options = null] )` Constructs a new ezcTreeVisitorXHTML visualizer.
protected string | `doChildren( $id , [ $level = 0] , [ $levelLast = array()] )` Loops over the children of the node with ID $id.
protected string | `formatData( $data , $highlight )` Formats a node's data.
protected void | `formatPath( $child )` Formats the path to the node
public bool | `visit( $visitable )` Visits the node and sets the the member variables according to the node type and contents.

### Methods

#### __construct

ezcTreeVisitorXHTML __construct( [ezcTreeVisitorXHTMLOptions $options = null] )

Constructs a new ezcTreeVisitorXHTML visualizer.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | ezcTreeVisitorXHTMLOptions |

#### doChildren

string doChildren( string $id , [int $level = 0] , [array(int=>bool) $levelLast = array()] )

Loops over the children of the node with ID $id.

This methods loops over all the node's children and adds the correct layout for each node depending on the state that is collected in the $level and $levelLast variables.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$id` | string |
`$level` | int |
`$levelLast` | array(int=>bool) |

#### formatData

string formatData( mixed $data , bool $highlight )

Formats a node's data.

It is just a simple method, that provide an easy way to change the way on how data is formatted when this class is extended. The data is passed in the $data argument, and whether the node should be highlighted is passed in the $highlight argument.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | mixed |
`$highlight` | bool |

#### formatPath

void formatPath( array $child )

Formats the path to the node

##### Parameters:

Name | Type | Description
--- | --- | ---
`$child` | array |

#### visit

bool visit( ezcTreeVisitable $visitable )

Visits the node and sets the the member variables according to the node type and contents.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$visitable` | ezcTreeVisitable |

##### Implementation of:

Method | Description
--- | ---
`ezcTreeVisitor::visit()` | Visit the $visitable.

Documentation generated by phpDocumentor 1.4.3